AbstractTreeTableModel

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.tree.client
Class AbstractTreeTableModel

    java.lang.Object
      org.openswing.swing.tree.client.AbstractTreeTableModel

All Implemented Interfaces:
  javax.swing.tree.TreeModel, TreeTableModel

public abstract class AbstractTreeTableModel
extends java.lang.Object
implements TreeTableModel

Constructor Summary
`AbstractTreeTableModel(java.lang.Object root)`

Method Summary
`void` | `addTreeModelListener(javax.swing.event.TreeModelListener l)`
`java.lang.Class` | `getColumnClass(int column)` Returns the type for column number `column`.
`int` | `getIndexOfChild(java.lang.Object parent, java.lang.Object child)`
`java.lang.Object` | `getRoot()`
`boolean` | `isCellEditable(java.lang.Object node, int column)` By default, make the column with the Tree in it the only editable one.
`boolean` | `isLeaf(java.lang.Object node)`
`void` | `removeTreeModelListener(javax.swing.event.TreeModelListener l)`
`void` | `setValueAt(java.lang.Object aValue, java.lang.Object node, int column)` Sets the value for node `node`, at column number `column`.
`void` | `valueForPathChanged(javax.swing.tree.TreePath path, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openswing.swing.tree.client.TreeTableModel
`getColumnCount, getColumnName, getValueAt`

Methods inherited from interface javax.swing.tree.TreeModel
`getChild, getChildCount`

Constructor Detail

### AbstractTreeTableModel

    public AbstractTreeTableModel(java.lang.Object root)

Method Detail

### getRoot

    public java.lang.Object getRoot()

  Specified by:
    `getRoot` in interface `javax.swing.tree.TreeModel`

### isLeaf

    public boolean isLeaf(java.lang.Object node)

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeModel`

### valueForPathChanged

    public void valueForPathChanged(javax.swing.tree.TreePath path,
                                    java.lang.Object newValue)

  Specified by:
    `valueForPathChanged` in interface `javax.swing.tree.TreeModel`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object parent,
                               java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `javax.swing.tree.TreeModel`

### addTreeModelListener

    public void addTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `addTreeModelListener` in interface `javax.swing.tree.TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `removeTreeModelListener` in interface `javax.swing.tree.TreeModel`

### getColumnClass

    public java.lang.Class getColumnClass(int column)

  Description copied from interface: `TreeTableModel`
  Returns the type for column number `column`.

  Specified by:
    `getColumnClass` in interface `TreeTableModel`

### isCellEditable

    public boolean isCellEditable(java.lang.Object node,
                                  int column)

  By default, make the column with the Tree in it the only editable one. Making this column editable causes the JTable to forward mouse and keyboard events in the Tree column to the underlying JTree.

  Specified by:
    `isCellEditable` in interface `TreeTableModel`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           java.lang.Object node,
                           int column)

  Description copied from interface: `TreeTableModel`
  Sets the value for node `node`, at column number `column`.

  Specified by:
    `setValueAt` in interface `TreeTableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD